{entity
	(include "/properties/car.ext")
	(include "/properties/shadow/tank.inc"  scale(0.9))
	(include "/properties/selection/vehicle.inc"  scale(1.1))
	{mass 1380}
	{props "vehicle" "car" "wheeled" "turn_over" "vision_lev02"}
	{able "emit_on_attack"}
	(mod "mp"
		{able "-emit_on_attack"}
	)
	{PatherId "vehicle.small"}
	("armor_light" args 1.0)

	{Volume "Body"
		{tags "body"}
		{component "body"}
		{thickness 6}
	}

	("wheel" args "wheelright1")
	("wheel" args "wheelleft1")
	("wheel" args "wheelright2")
	("wheel" args "wheelleft2")

	("crew_2_human")

	{extender "enumerator"}

	("board_animation"
		place(driver)
		board_begin(board_willis_driver)
		board_end(seat_Willis_driver)
		base(doorleft)
	)
	("board_animation"
		place(commander)
		board_begin(board_willis)
		board_end(seat_Willis_passenger)
		base(doorright)
	)
	
	("board_animation"
		place(passenger1)
		board_begin(board_willis)
		board_end(seat_Willis_passenger)
		base(doorleft)
	)
	("board_animation"
		place(passenger2)
		board_begin(board_willis)
		board_end(seat_Willis_passenger)
		base(doorleft)
	)

	{boarder
		{anm "gunner"
			{forward	{begin	"board_LowTank_stand"} {end "seat_gunner_stand"}}
			{reverse 	{end	"emit_tank_1_hold" 1}}
		}
	}
	
	("crew_human"		place(gunner)	bone(gunner)	door(emit3)		animation(gunner))
	("crew_human" place(seat1)	bone(seat01)	door(emit1)	animation(passenger1))
	("crew_human" place(seat2)	bone(seat02)	door(emit2)	animation(passenger2))
	("crew_human" place(gunner)	bone(gunner)	door(emit3)	animation(gunner))
	
	{placer
		{place "driver"		{group "crew"} {visor "driver"}}
		{place "commander"	{group "crew"} {visor "main"}}
		{place "gunner"		{group "crew"} {turnoff {targetable 0}}}
	}
	
	{sensor
		{visor "driver"
			{bone "visor1"}
			{vision "moto_crew"}
		}		{visor "main"
			{bone "visor2"}
			{vision "vehicle_top_mgun"}
		}
		{visor "mgun"
			{bone "gun_rot"}
			{vision "vehicle_top_mgun"}
		}	
	}
;Modified / using MG3
	{extender "inventory"
		{weapon "mgun"
			{mask "weapon mgun"}
		}
		{Box
			{size 5 6}
			{item  "ammo 308" 400}
			{item "m60a1" filled {user "mgun"}}
		}
	}
	{Weaponry
		{place "mgun"
			{LinkBone "mgun"}
			{LinkAnimation "off"}
			{charger "gunner"}
		}
	}
	{Chassis
		{Locomotion ("locomotion")
			{Maxspeed 49}
				(mod "mp"
					{maxspeed   45}
				)
	  		{maxSpeedAtMaxTurn 20}
		}
		("car_trace" fx("tracewheel04") step(0.08) wheell("wlf") wheelr("wrf") bonel("FXtraceL1") boner("FXtraceR1"))
		("car_trace" fx("tracewheel04") step(0.08) wheell("wlr") wheelr("wrr") bonel("FXtraceL2") boner("FXtraceR2"))
	}
	{Extension "gaz67b.mdl"}

	{bone "gun_rot"
		{speed 0.05}
	}
	{bone "mgun"
		{limits -15 10}
	}
}


